<script setup>
import { CdxField, CdxTextInput, CdxMessage } from '@wikimedia/codex';
import { useInstrumentStore } from '../../stores/instrument.js'

const instrumentStore = useInstrumentStore();
</script>

<template>
    <cdx-field>
    <template #label>
        Duration
    </template>
    <template #description>
        Define the time frame for data collection. Note that dates default to UTC.
    </template>
    <div class="field-group">
        <div class="column-2">
            <div class="column">
                <cdx-field class="smaller-column">
                    <cdx-text-input class="smaller-column"
                        v-model="instrumentStore.instrument.utc_start_dt"
                        input-type="date"
                        data-id="start-date"
                    />
                    <template #label>
                        Start date
                    </template>
                </cdx-field>
            </div>
            <div class="column right">
                <cdx-field class="smaller-column">
                    <cdx-text-input
                        v-model="instrumentStore.instrument.utc_end_dt"
                        input-type="date"
                        data-id="end-date"
                    />
                    <template #label>
                        End date
                    </template>
                </cdx-field>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</cdx-field>
<div class="padding"></div>
<cdx-message v-if="instrumentStore.isABTest" type="warning">
    <p>When A/B tests are run concurrently, there is a level of risk of contamination of results. Depending on the outcomes that are measured and the specifics of the interventions, concurrent A/B tests may make it harder to accurately measure the impact of a specific intervention.</p>
</cdx-message>

</template>

<style scoped>
.contextual-attributes {
    margin-top: 20px;
}
.smaller-column {
    width: 280px;
}
</style>
